"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InCartMeResponse = exports.InCartMobileMe = exports.InCartStoreMe = void 0;
const cerialize_1 = require("cerialize");
const cerialize_2 = require("../../utils/cerialize");
class InCartStoreMe {
    constructor(storeId) {
        this.storeId = storeId;
    }
}
__decorate([
    cerialize_1.autoserializeAs('id')
], InCartStoreMe.prototype, "id", void 0);
__decorate([
    cerialize_1.autoserializeAs('storeId')
], InCartStoreMe.prototype, "storeId", void 0);
__decorate([
    cerialize_1.autoserializeAs('name')
], InCartStoreMe.prototype, "role", void 0);
exports.InCartStoreMe = InCartStoreMe;
class InCartMobileMe {
}
__decorate([
    cerialize_1.autoserializeAs('number')
], InCartMobileMe.prototype, "number", void 0);
__decorate([
    cerialize_1.autoserializeAs('countryCode')
], InCartMobileMe.prototype, "countryCode", void 0);
exports.InCartMobileMe = InCartMobileMe;
class InCartMeResponse {
}
__decorate([
    cerialize_1.autoserializeAs('id')
], InCartMeResponse.prototype, "id", void 0);
__decorate([
    cerialize_1.autoserializeAs('email')
], InCartMeResponse.prototype, "email", void 0);
__decorate([
    cerialize_1.autoserializeAs(cerialize_2.BooleanSerializer('1', '0'), 'isConfirm')
], InCartMeResponse.prototype, "isConfirm", void 0);
__decorate([
    cerialize_1.autoserializeAs('picture')
], InCartMeResponse.prototype, "picture", void 0);
__decorate([
    cerialize_1.autoserializeAs('name')
], InCartMeResponse.prototype, "name", void 0);
__decorate([
    cerialize_1.autoserializeAs(InCartMobileMe, 'mobile')
], InCartMeResponse.prototype, "mobile", void 0);
__decorate([
    cerialize_1.autoserializeAs(cerialize_2.JsonObjectToArraySerializer(InCartStoreMe, (o) => o.storeId), 'stores')
], InCartMeResponse.prototype, "stores", void 0);
exports.InCartMeResponse = InCartMeResponse;
//# sourceMappingURL=authAdmin.js.map