var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { autoserializeAs } from 'cerialize';
import { BooleanSerializer, JsonObjectToArraySerializer } from '../../utils/cerialize';
export class InCartStoreMe {
    constructor(storeId) {
        this.storeId = storeId;
    }
}
__decorate([
    autoserializeAs('id')
], InCartStoreMe.prototype, "id", void 0);
__decorate([
    autoserializeAs('storeId')
], InCartStoreMe.prototype, "storeId", void 0);
__decorate([
    autoserializeAs('name')
], InCartStoreMe.prototype, "role", void 0);
export class InCartMobileMe {
}
__decorate([
    autoserializeAs('number')
], InCartMobileMe.prototype, "number", void 0);
__decorate([
    autoserializeAs('countryCode')
], InCartMobileMe.prototype, "countryCode", void 0);
export class InCartMeResponse {
}
__decorate([
    autoserializeAs('id')
], InCartMeResponse.prototype, "id", void 0);
__decorate([
    autoserializeAs('email')
], InCartMeResponse.prototype, "email", void 0);
__decorate([
    autoserializeAs(BooleanSerializer('1', '0'), 'isConfirm')
], InCartMeResponse.prototype, "isConfirm", void 0);
__decorate([
    autoserializeAs('picture')
], InCartMeResponse.prototype, "picture", void 0);
__decorate([
    autoserializeAs('name')
], InCartMeResponse.prototype, "name", void 0);
__decorate([
    autoserializeAs(InCartMobileMe, 'mobile')
], InCartMeResponse.prototype, "mobile", void 0);
__decorate([
    autoserializeAs(JsonObjectToArraySerializer(InCartStoreMe, (o) => o.storeId), 'stores')
], InCartMeResponse.prototype, "stores", void 0);
//# sourceMappingURL=authAdmin.js.map