import { InCartConfig, InCartEnv } from '../services/client';
declare const configurations: {
    prod: {
        apiKey: string;
        baseURL: string;
    };
    qa: {
        apiKey: string;
        baseURL: string;
    };
    alpha: {
        apiKey: string;
        baseURL: string;
    };
};
declare type OrderServiceConfig = InCartConfig;
declare type serviceConfiguration = {
    incart: typeof configurations;
    order: {
        [key in InCartEnv]?: OrderServiceConfig;
    };
};
declare type Services = keyof serviceConfiguration;
export declare const getConfiguration: (o: InCartEnv, service?: Services, overrideApiKey?: string) => InCartConfig;
export declare const getServiceConfiguration: (service?: Services) => any;
export {};
